<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('properties', function (Blueprint $table) {
            // ✅ Tambah constraint unique + remove nullable
            $table->string('slug')->nullable(false)->unique()->change();
        });
    }

    public function down(): void
    {
        Schema::table('properties', function (Blueprint $table) {
            // 🔁 Kembalikan ke nullable tanpa unique
            $table->string('slug')->nullable()->change();
            $table->dropUnique(['slug']);
        });
    }
};